# rlib : glua library

[![HitCount](http://hits.dwyl.com/im-richard/rlib.svg)](http://hits.dwyl.com/im-richard/rlib)
[![MIT Licence](https://img.shields.io/badge/license-MIT-blue.svg)](https://opensource.org/licenses/mit-license.php)
[![Version](https://img.shields.io/github/v/release/im-richard/rlib.svg?color=CA5DC3)](https://rlib.io)
[![Size](https://img.shields.io/github/repo-size/im-richard/rlib.svg?color=%23FF1B67&label=size&logo=lua)](https://get.rlib.io)
[![Updated](https://img.shields.io/github/last-commit/im-richard/rlib.svg?label=updated)](https://rlib.io)
[![Birthday](https://img.shields.io/badge/birthday-march%202019-%230C743D.svg?color=%230C743D&label=birthday&logo=cakephp&logoColor=white)](https://rlib.io)
[![Docs](https://img.shields.io/badge/docs-view-orange.svg)](https://docs.rlib.io)

# About
rlib is a glua library written for garrys mod which contains a variety of functions and features that allow for easier ways of creating addons. This library will act as the foundation for other scripts and functionality you wish to add to your server, all while ensuring that your code remains clean and minimal.

# Usage
Lua library used as the foundation of scripts developed by Richard for the steam game **[Garrys Mod](https://store.steampowered.com/app/4000/Garrys_Mod/)**. 
You must install this library on your gmod server before any modules can be installed and function properly.

# Documentation
**[Read our documentation](https://docs.rlib.io/)** for instructions on how to install rlib and your compatible **[gmodstore](https://gmodstore.com/)** scripts.

# Verify Signatures
By verifying the signatures provided with each release of rlib, you can prove the authenticity and integrity of the downloaded file. This guarantees that the file you downloaded was originally created by the rlib development tean and that the contents hasn't been tampered with.

Each release includes a *.**sig** file for both the zip and the tarball.

The *.sig file contains a PGP signature created with the official release keys. Signing files with any other key will give a different signature. If you attempt to verify the files with the provided .sig file and it does not verify; it's recommended that you NOT use that release. Download the official release from this git repo.

On **Windows**, you can use [Gpg4win](https://www.gpg4win.org/).
On **macOS**, you may use [GPG Tools](https://gpgtools.org/) or gnupg via HomeBrew.
